/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
import { createStore } from 'zustand/vanilla';
import { useStore } from 'zustand';
import { TEAMS_MOCK } from '../../mocks/index.js';
export const teamStore = createStore((set, get) => ({
    teams: TEAMS_MOCK,
    update: (teams) => set((state) => ({
        teams,
    })),
}));
export function useTeamStore(selector) {
    return useStore(teamStore, selector);
}
export default useTeamStore;
